exports.ids = [28,27];
exports.modules = {

/***/ 137:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return on; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return off; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return once; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return hasClass; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return addClass; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "g", function() { return removeClass; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return getStyle; });
/* unused harmony export setStyle */
/* unused harmony export isScroll */
/* unused harmony export getScrollContainer */
/* unused harmony export isInContainer */
/* harmony import */ var vue__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var vue__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(vue__WEBPACK_IMPORTED_MODULE_0__);
/* istanbul ignore next */



const isServer = vue__WEBPACK_IMPORTED_MODULE_0___default.a.prototype.$isServer;
const SPECIAL_CHARS_REGEXP = /([\:\-\_]+(.))/g;
const MOZ_HACK_REGEXP = /^moz([A-Z])/;
const ieVersion = isServer ? 0 : Number(document.documentMode);

/* istanbul ignore next */
const trim = function(string) {
  return (string || '').replace(/^[\s\uFEFF]+|[\s\uFEFF]+$/g, '');
};
/* istanbul ignore next */
const camelCase = function(name) {
  return name.replace(SPECIAL_CHARS_REGEXP, function(_, separator, letter, offset) {
    return offset ? letter.toUpperCase() : letter;
  }).replace(MOZ_HACK_REGEXP, 'Moz$1');
};

/* istanbul ignore next */
const on = (function() {
  if (!isServer && document.addEventListener) {
    return function(element, event, handler) {
      if (element && event && handler) {
        element.addEventListener(event, handler, false);
      }
    };
  } else {
    return function(element, event, handler) {
      if (element && event && handler) {
        element.attachEvent('on' + event, handler);
      }
    };
  }
})();

/* istanbul ignore next */
const off = (function() {
  if (!isServer && document.removeEventListener) {
    return function(element, event, handler) {
      if (element && event) {
        element.removeEventListener(event, handler, false);
      }
    };
  } else {
    return function(element, event, handler) {
      if (element && event) {
        element.detachEvent('on' + event, handler);
      }
    };
  }
})();

/* istanbul ignore next */
const once = function(el, event, fn) {
  var listener = function() {
    if (fn) {
      fn.apply(this, arguments);
    }
    off(el, event, listener);
  };
  on(el, event, listener);
};

/* istanbul ignore next */
function hasClass(el, cls) {
  if (!el || !cls) return false;
  if (cls.indexOf(' ') !== -1) throw new Error('className should not contain space.');
  if (el.classList) {
    return el.classList.contains(cls);
  } else {
    return (' ' + el.className + ' ').indexOf(' ' + cls + ' ') > -1;
  }
};

/* istanbul ignore next */
function addClass(el, cls) {
  if (!el) return;
  var curClass = el.className;
  var classes = (cls || '').split(' ');

  for (var i = 0, j = classes.length; i < j; i++) {
    var clsName = classes[i];
    if (!clsName) continue;

    if (el.classList) {
      el.classList.add(clsName);
    } else if (!hasClass(el, clsName)) {
      curClass += ' ' + clsName;
    }
  }
  if (!el.classList) {
    el.setAttribute('class', curClass);
  }
};

/* istanbul ignore next */
function removeClass(el, cls) {
  if (!el || !cls) return;
  var classes = cls.split(' ');
  var curClass = ' ' + el.className + ' ';

  for (var i = 0, j = classes.length; i < j; i++) {
    var clsName = classes[i];
    if (!clsName) continue;

    if (el.classList) {
      el.classList.remove(clsName);
    } else if (hasClass(el, clsName)) {
      curClass = curClass.replace(' ' + clsName + ' ', ' ');
    }
  }
  if (!el.classList) {
    el.setAttribute('class', trim(curClass));
  }
};

/* istanbul ignore next */
const getStyle = ieVersion < 9 ? function(element, styleName) {
  if (isServer) return;
  if (!element || !styleName) return null;
  styleName = camelCase(styleName);
  if (styleName === 'float') {
    styleName = 'styleFloat';
  }
  try {
    switch (styleName) {
      case 'opacity':
        try {
          return element.filters.item('alpha').opacity / 100;
        } catch (e) {
          return 1.0;
        }
      default:
        return (element.style[styleName] || element.currentStyle ? element.currentStyle[styleName] : null);
    }
  } catch (e) {
    return element.style[styleName];
  }
} : function(element, styleName) {
  if (isServer) return;
  if (!element || !styleName) return null;
  styleName = camelCase(styleName);
  if (styleName === 'float') {
    styleName = 'cssFloat';
  }
  try {
    var computed = document.defaultView.getComputedStyle(element, '');
    return element.style[styleName] || computed ? computed[styleName] : null;
  } catch (e) {
    return element.style[styleName];
  }
};

/* istanbul ignore next */
function setStyle(element, styleName, value) {
  if (!element || !styleName) return;

  if (typeof styleName === 'object') {
    for (var prop in styleName) {
      if (styleName.hasOwnProperty(prop)) {
        setStyle(element, prop, styleName[prop]);
      }
    }
  } else {
    styleName = camelCase(styleName);
    if (styleName === 'opacity' && ieVersion < 9) {
      element.style.filter = isNaN(value) ? '' : 'alpha(opacity=' + value * 100 + ')';
    } else {
      element.style[styleName] = value;
    }
  }
};

const isScroll = (el, vertical) => {
  if (isServer) return;

  const determinedDirection = vertical !== null && vertical !== undefined;
  const overflow = determinedDirection
    ? vertical
      ? getStyle(el, 'overflow-y')
      : getStyle(el, 'overflow-x')
    : getStyle(el, 'overflow');

  return overflow.match(/(scroll|auto|overlay)/);
};

const getScrollContainer = (el, vertical) => {
  if (isServer) return;

  let parent = el;
  while (parent) {
    if ([window, document, document.documentElement].includes(parent)) {
      return window;
    }
    if (isScroll(parent, vertical)) {
      return parent;
    }
    parent = parent.parentNode;
  }

  return parent;
};

const isInContainer = (el, container) => {
  if (isServer || !el || !container) return false;

  const elRect = el.getBoundingClientRect();
  let containerRect;

  if ([window, document, document.documentElement, null, undefined].includes(container)) {
    containerRect = {
      top: 0,
      right: window.innerWidth,
      bottom: window.innerHeight,
      left: 0
    };
  } else {
    containerRect = container.getBoundingClientRect();
  }

  return elRect.top < containerRect.bottom &&
    elRect.bottom > containerRect.top &&
    elRect.right > containerRect.left &&
    elRect.left < containerRect.right;
};


/***/ }),

/***/ 138:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// EXPORTS
__webpack_require__.d(__webpack_exports__, "a", function() { return /* binding */ isFirefox; });
__webpack_require__.d(__webpack_exports__, "c", function() { return /* binding */ kebabCase; });
__webpack_require__.d(__webpack_exports__, "d", function() { return /* binding */ rafThrottle; });
__webpack_require__.d(__webpack_exports__, "b", function() { return /* binding */ isMac; });

// UNUSED EXPORTS: noop, hasOwn, toObject, getValueByPath, getPropByPath, generateId, valueEquals, escapeRegexpString, arrayFindIndex, arrayFind, coerceTruthyValueToArray, isIE, isEdge, autoprefixer, capitalize, looseEqual, arrayEquals, isEqual, isEmpty, objToArray

// EXTERNAL MODULE: external "vue"
var external_vue_ = __webpack_require__(0);
var external_vue_default = /*#__PURE__*/__webpack_require__.n(external_vue_);

// CONCATENATED MODULE: ./node_modules/element-ui/src/utils/types.js


function isString(obj) {
  return Object.prototype.toString.call(obj) === '[object String]';
}

function isObject(obj) {
  return Object.prototype.toString.call(obj) === '[object Object]';
}

function isHtmlElement(node) {
  return node && node.nodeType === Node.ELEMENT_NODE;
}

/**
 *  - Inspired:
 *    https://github.com/jashkenas/underscore/blob/master/modules/isFunction.js
 */
let isFunction = (functionToCheck) => {
  var getType = {};
  return functionToCheck && getType.toString.call(functionToCheck) === '[object Function]';
};

if ( true && typeof Int8Array !== 'object' && (external_vue_default.a.prototype.$isServer || typeof document.childNodes !== 'function')) {
  isFunction = function(obj) {
    return typeof obj === 'function' || false;
  };
}



const isUndefined = (val)=> {
  return val === void 0;
};

const isDefined = (val) => {
  return val !== undefined && val !== null;
};

// CONCATENATED MODULE: ./node_modules/element-ui/src/utils/util.js



const util_hasOwnProperty = Object.prototype.hasOwnProperty;

function noop() {};

function hasOwn(obj, key) {
  return util_hasOwnProperty.call(obj, key);
};

function extend(to, _from) {
  for (let key in _from) {
    to[key] = _from[key];
  }
  return to;
};

function toObject(arr) {
  var res = {};
  for (let i = 0; i < arr.length; i++) {
    if (arr[i]) {
      extend(res, arr[i]);
    }
  }
  return res;
};

const getValueByPath = function(object, prop) {
  prop = prop || '';
  const paths = prop.split('.');
  let current = object;
  let result = null;
  for (let i = 0, j = paths.length; i < j; i++) {
    const path = paths[i];
    if (!current) break;

    if (i === j - 1) {
      result = current[path];
      break;
    }
    current = current[path];
  }
  return result;
};

function getPropByPath(obj, path, strict) {
  let tempObj = obj;
  path = path.replace(/\[(\w+)\]/g, '.$1');
  path = path.replace(/^\./, '');

  let keyArr = path.split('.');
  let i = 0;
  for (let len = keyArr.length; i < len - 1; ++i) {
    if (!tempObj && !strict) break;
    let key = keyArr[i];
    if (key in tempObj) {
      tempObj = tempObj[key];
    } else {
      if (strict) {
        throw new Error('please transfer a valid prop path to form item!');
      }
      break;
    }
  }
  return {
    o: tempObj,
    k: keyArr[i],
    v: tempObj ? tempObj[keyArr[i]] : null
  };
};

const generateId = function() {
  return Math.floor(Math.random() * 10000);
};

const valueEquals = (a, b) => {
  // see: https://stackoverflow.com/questions/3115982/how-to-check-if-two-arrays-are-equal-with-javascript
  if (a === b) return true;
  if (!(a instanceof Array)) return false;
  if (!(b instanceof Array)) return false;
  if (a.length !== b.length) return false;
  for (let i = 0; i !== a.length; ++i) {
    if (a[i] !== b[i]) return false;
  }
  return true;
};

const escapeRegexpString = (value = '') => String(value).replace(/[|\\{}()[\]^$+*?.]/g, '\\$&');

// TODO: use native Array.find, Array.findIndex when IE support is dropped
const arrayFindIndex = function(arr, pred) {
  for (let i = 0; i !== arr.length; ++i) {
    if (pred(arr[i])) {
      return i;
    }
  }
  return -1;
};

const arrayFind = function(arr, pred) {
  const idx = arrayFindIndex(arr, pred);
  return idx !== -1 ? arr[idx] : undefined;
};

// coerce truthy value to array
const coerceTruthyValueToArray = function(val) {
  if (Array.isArray(val)) {
    return val;
  } else if (val) {
    return [val];
  } else {
    return [];
  }
};

const isIE = function() {
  return !external_vue_default.a.prototype.$isServer && !isNaN(Number(document.documentMode));
};

const isEdge = function() {
  return !external_vue_default.a.prototype.$isServer && navigator.userAgent.indexOf('Edge') > -1;
};

const isFirefox = function() {
  return !external_vue_default.a.prototype.$isServer && !!window.navigator.userAgent.match(/firefox/i);
};

const autoprefixer = function(style) {
  if (typeof style !== 'object') return style;
  const rules = ['transform', 'transition', 'animation'];
  const prefixes = ['ms-', 'webkit-'];
  rules.forEach(rule => {
    const value = style[rule];
    if (rule && value) {
      prefixes.forEach(prefix => {
        style[prefix + rule] = value;
      });
    }
  });
  return style;
};

const kebabCase = function(str) {
  const hyphenateRE = /([^-])([A-Z])/g;
  return str
    .replace(hyphenateRE, '$1-$2')
    .replace(hyphenateRE, '$1-$2')
    .toLowerCase();
};

const capitalize = function(str) {
  if (!isString(str)) return str;
  return str.charAt(0).toUpperCase() + str.slice(1);
};

const looseEqual = function(a, b) {
  const isObjectA = isObject(a);
  const isObjectB = isObject(b);
  if (isObjectA && isObjectB) {
    return JSON.stringify(a) === JSON.stringify(b);
  } else if (!isObjectA && !isObjectB) {
    return String(a) === String(b);
  } else {
    return false;
  }
};

const arrayEquals = function(arrayA, arrayB) {
  arrayA = arrayA || [];
  arrayB = arrayB || [];

  if (arrayA.length !== arrayB.length) {
    return false;
  }

  for (let i = 0; i < arrayA.length; i++) {
    if (!looseEqual(arrayA[i], arrayB[i])) {
      return false;
    }
  }

  return true;
};

const isEqual = function(value1, value2) {
  if (Array.isArray(value1) && Array.isArray(value2)) {
    return arrayEquals(value1, value2);
  }
  return looseEqual(value1, value2);
};

const isEmpty = function(val) {
  // null or undefined
  if (val == null) return true;

  if (typeof val === 'boolean') return false;

  if (typeof val === 'number') return !val;

  if (val instanceof Error) return val.message === '';

  switch (Object.prototype.toString.call(val)) {
    // String or Array
    case '[object String]':
    case '[object Array]':
      return !val.length;

    // Map or Set or File
    case '[object File]':
    case '[object Map]':
    case '[object Set]': {
      return !val.size;
    }
    // Plain Object
    case '[object Object]': {
      return !Object.keys(val).length;
    }
  }

  return false;
};

function rafThrottle(fn) {
  let locked = false;
  return function(...args) {
    if (locked) return;
    locked = true;
    window.requestAnimationFrame(_ => {
      fn.apply(this, args);
      locked = false;
    });
  };
}

function objToArray(obj) {
  if (Array.isArray(obj)) {
    return obj;
  }
  return isEmpty(obj) ? [] : [obj];
}

const isMac = function() {
  return !external_vue_default.a.prototype.$isServer && /macintosh|mac os x/i.test(navigator.userAgent);
};


/***/ }),

/***/ 139:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony default export */ __webpack_exports__["a"] = (function(target) {
  for (let i = 1, j = arguments.length; i < j; i++) {
    let source = arguments[i] || {};
    for (let prop in source) {
      if (source.hasOwnProperty(prop)) {
        let value = source[prop];
        if (value !== undefined) {
          target[prop] = value;
        }
      }
    }
  }

  return target;
});;


/***/ }),

/***/ 144:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./node_modules/element-ui/packages/image/src/image-viewer.vue?vue&type=template&id=44a7b0fb
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('transition', {
    attrs: {
      "name": "viewer-fade"
    }
  }, [_c('div', {
    ref: "el-image-viewer__wrapper",
    staticClass: "el-image-viewer__wrapper",
    style: {
      'z-index': _vm.viewerZIndex
    },
    attrs: {
      "tabindex": "-1"
    }
  }, [_c('div', {
    staticClass: "el-image-viewer__mask",
    on: {
      "click": function ($event) {
        if ($event.target !== $event.currentTarget) return null;
        return _vm.handleMaskClick.apply(null, arguments);
      }
    }
  }), _vm._v(" "), _c('span', {
    staticClass: "el-image-viewer__btn el-image-viewer__close",
    on: {
      "click": _vm.hide
    }
  }, [_c('i', {
    staticClass: "el-icon-close"
  })]), _vm._v(" "), !_vm.isSingle ? [_c('span', {
    staticClass: "el-image-viewer__btn el-image-viewer__prev",
    class: {
      'is-disabled': !_vm.infinite && _vm.isFirst
    },
    on: {
      "click": _vm.prev
    }
  }, [_c('i', {
    staticClass: "el-icon-arrow-left"
  })]), _vm._v(" "), _c('span', {
    staticClass: "el-image-viewer__btn el-image-viewer__next",
    class: {
      'is-disabled': !_vm.infinite && _vm.isLast
    },
    on: {
      "click": _vm.next
    }
  }, [_c('i', {
    staticClass: "el-icon-arrow-right"
  })])] : _vm._e(), _vm._v(" "), _c('div', {
    staticClass: "el-image-viewer__btn el-image-viewer__actions"
  }, [_c('div', {
    staticClass: "el-image-viewer__actions__inner"
  }, [_c('i', {
    staticClass: "el-icon-zoom-out",
    on: {
      "click": function ($event) {
        return _vm.handleActions('zoomOut');
      }
    }
  }), _vm._v(" "), _c('i', {
    staticClass: "el-icon-zoom-in",
    on: {
      "click": function ($event) {
        return _vm.handleActions('zoomIn');
      }
    }
  }), _vm._v(" "), _c('i', {
    staticClass: "el-image-viewer__actions__divider"
  }), _vm._v(" "), _c('i', {
    class: _vm.mode.icon,
    on: {
      "click": _vm.toggleMode
    }
  }), _vm._v(" "), _c('i', {
    staticClass: "el-image-viewer__actions__divider"
  }), _vm._v(" "), _c('i', {
    staticClass: "el-icon-refresh-left",
    on: {
      "click": function ($event) {
        return _vm.handleActions('anticlocelise');
      }
    }
  }), _vm._v(" "), _c('i', {
    staticClass: "el-icon-refresh-right",
    on: {
      "click": function ($event) {
        return _vm.handleActions('clocelise');
      }
    }
  })])]), _vm._v(" "), _c('div', {
    staticClass: "el-image-viewer__canvas"
  }, _vm._l(_vm.urlList, function (url, i) {
    return i === _vm.index ? _c('img', {
      key: url,
      ref: "img",
      refInFor: true,
      staticClass: "el-image-viewer__img",
      style: _vm.imgStyle,
      attrs: {
        "src": _vm.currentImg
      },
      on: {
        "load": _vm.handleImgLoad,
        "error": _vm.handleImgError,
        "mousedown": _vm.handleMouseDown
      }
    }) : _vm._e();
  }), 0)], 2)]);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./node_modules/element-ui/packages/image/src/image-viewer.vue?vue&type=template&id=44a7b0fb

// EXTERNAL MODULE: ./node_modules/element-ui/src/utils/dom.js
var utils_dom = __webpack_require__(137);

// EXTERNAL MODULE: ./node_modules/element-ui/src/utils/util.js + 1 modules
var util = __webpack_require__(138);

// EXTERNAL MODULE: external "vue"
var external_vue_ = __webpack_require__(0);
var external_vue_default = /*#__PURE__*/__webpack_require__.n(external_vue_);

// EXTERNAL MODULE: ./node_modules/element-ui/src/utils/merge.js
var merge = __webpack_require__(139);

// CONCATENATED MODULE: ./node_modules/element-ui/src/utils/popup/popup-manager.js



let hasModal = false;
let hasInitZIndex = false;
let popup_manager_zIndex;

const getModal = function() {
  if (external_vue_default.a.prototype.$isServer) return;
  let modalDom = PopupManager.modalDom;
  if (modalDom) {
    hasModal = true;
  } else {
    hasModal = false;
    modalDom = document.createElement('div');
    PopupManager.modalDom = modalDom;

    modalDom.addEventListener('touchmove', function(event) {
      event.preventDefault();
      event.stopPropagation();
    });

    modalDom.addEventListener('click', function() {
      PopupManager.doOnModalClick && PopupManager.doOnModalClick();
    });
  }

  return modalDom;
};

const instances = {};

const PopupManager = {
  modalFade: true,

  getInstance: function(id) {
    return instances[id];
  },

  register: function(id, instance) {
    if (id && instance) {
      instances[id] = instance;
    }
  },

  deregister: function(id) {
    if (id) {
      instances[id] = null;
      delete instances[id];
    }
  },

  nextZIndex: function() {
    return PopupManager.zIndex++;
  },

  modalStack: [],

  doOnModalClick: function() {
    const topItem = PopupManager.modalStack[PopupManager.modalStack.length - 1];
    if (!topItem) return;

    const instance = PopupManager.getInstance(topItem.id);
    if (instance && instance.closeOnClickModal) {
      instance.close();
    }
  },

  openModal: function(id, zIndex, dom, modalClass, modalFade) {
    if (external_vue_default.a.prototype.$isServer) return;
    if (!id || zIndex === undefined) return;
    this.modalFade = modalFade;

    const modalStack = this.modalStack;

    for (let i = 0, j = modalStack.length; i < j; i++) {
      const item = modalStack[i];
      if (item.id === id) {
        return;
      }
    }

    const modalDom = getModal();

    Object(utils_dom["a" /* addClass */])(modalDom, 'v-modal');
    if (this.modalFade && !hasModal) {
      Object(utils_dom["a" /* addClass */])(modalDom, 'v-modal-enter');
    }
    if (modalClass) {
      let classArr = modalClass.trim().split(/\s+/);
      classArr.forEach(item => Object(utils_dom["a" /* addClass */])(modalDom, item));
    }
    setTimeout(() => {
      Object(utils_dom["g" /* removeClass */])(modalDom, 'v-modal-enter');
    }, 200);

    if (dom && dom.parentNode && dom.parentNode.nodeType !== 11) {
      dom.parentNode.appendChild(modalDom);
    } else {
      document.body.appendChild(modalDom);
    }

    if (zIndex) {
      modalDom.style.zIndex = zIndex;
    }
    modalDom.tabIndex = 0;
    modalDom.style.display = '';

    this.modalStack.push({ id: id, zIndex: zIndex, modalClass: modalClass });
  },

  closeModal: function(id) {
    const modalStack = this.modalStack;
    const modalDom = getModal();

    if (modalStack.length > 0) {
      const topItem = modalStack[modalStack.length - 1];
      if (topItem.id === id) {
        if (topItem.modalClass) {
          let classArr = topItem.modalClass.trim().split(/\s+/);
          classArr.forEach(item => Object(utils_dom["g" /* removeClass */])(modalDom, item));
        }

        modalStack.pop();
        if (modalStack.length > 0) {
          modalDom.style.zIndex = modalStack[modalStack.length - 1].zIndex;
        }
      } else {
        for (let i = modalStack.length - 1; i >= 0; i--) {
          if (modalStack[i].id === id) {
            modalStack.splice(i, 1);
            break;
          }
        }
      }
    }

    if (modalStack.length === 0) {
      if (this.modalFade) {
        Object(utils_dom["a" /* addClass */])(modalDom, 'v-modal-leave');
      }
      setTimeout(() => {
        if (modalStack.length === 0) {
          if (modalDom.parentNode) modalDom.parentNode.removeChild(modalDom);
          modalDom.style.display = 'none';
          PopupManager.modalDom = undefined;
        }
        Object(utils_dom["g" /* removeClass */])(modalDom, 'v-modal-leave');
      }, 200);
    }
  }
};

Object.defineProperty(PopupManager, 'zIndex', {
  configurable: true,
  get() {
    if (!hasInitZIndex) {
      popup_manager_zIndex = popup_manager_zIndex || (external_vue_default.a.prototype.$ELEMENT || {}).zIndex || 2000;
      hasInitZIndex = true;
    }
    return popup_manager_zIndex;
  },
  set(value) {
    popup_manager_zIndex = value;
  }
});

const getTopPopup = function() {
  if (external_vue_default.a.prototype.$isServer) return;
  if (PopupManager.modalStack.length > 0) {
    const topPopup = PopupManager.modalStack[PopupManager.modalStack.length - 1];
    if (!topPopup) return;
    const instance = PopupManager.getInstance(topPopup.id);

    return instance;
  }
};

if (!external_vue_default.a.prototype.$isServer) {
  // handle `esc` key when the popup is shown
  window.addEventListener('keydown', function(event) {
    if (event.keyCode === 27) {
      const topPopup = getTopPopup();

      if (topPopup && topPopup.closeOnPressEscape) {
        topPopup.handleClose
          ? topPopup.handleClose()
          : (topPopup.handleAction ? topPopup.handleAction('cancel') : topPopup.close());
      }
    }
  });
}

/* harmony default export */ var popup_manager = (PopupManager);

// CONCATENATED MODULE: ./node_modules/element-ui/src/utils/scrollbar-width.js


let scrollBarWidth;

/* harmony default export */ var scrollbar_width = (function() {
  if (external_vue_default.a.prototype.$isServer) return 0;
  if (scrollBarWidth !== undefined) return scrollBarWidth;

  const outer = document.createElement('div');
  outer.className = 'el-scrollbar__wrap';
  outer.style.visibility = 'hidden';
  outer.style.width = '100px';
  outer.style.position = 'absolute';
  outer.style.top = '-9999px';
  document.body.appendChild(outer);

  const widthNoScroll = outer.offsetWidth;
  outer.style.overflow = 'scroll';

  const inner = document.createElement('div');
  inner.style.width = '100%';
  outer.appendChild(inner);

  const widthWithScroll = inner.offsetWidth;
  outer.parentNode.removeChild(outer);
  scrollBarWidth = widthNoScroll - widthWithScroll;

  return scrollBarWidth;
});;

// CONCATENATED MODULE: ./node_modules/element-ui/src/utils/popup/index.js






let idSeed = 1;

let popup_scrollBarWidth;

/* harmony default export */ var popup = ({
  props: {
    visible: {
      type: Boolean,
      default: false
    },
    openDelay: {},
    closeDelay: {},
    zIndex: {},
    modal: {
      type: Boolean,
      default: false
    },
    modalFade: {
      type: Boolean,
      default: true
    },
    modalClass: {},
    modalAppendToBody: {
      type: Boolean,
      default: false
    },
    lockScroll: {
      type: Boolean,
      default: true
    },
    closeOnPressEscape: {
      type: Boolean,
      default: false
    },
    closeOnClickModal: {
      type: Boolean,
      default: false
    }
  },

  beforeMount() {
    this._popupId = 'popup-' + idSeed++;
    popup_manager.register(this._popupId, this);
  },

  beforeDestroy() {
    popup_manager.deregister(this._popupId);
    popup_manager.closeModal(this._popupId);

    this.restoreBodyStyle();
  },

  data() {
    return {
      opened: false,
      bodyPaddingRight: null,
      computedBodyPaddingRight: 0,
      withoutHiddenClass: true,
      rendered: false
    };
  },

  watch: {
    visible(val) {
      if (val) {
        if (this._opening) return;
        if (!this.rendered) {
          this.rendered = true;
          external_vue_default.a.nextTick(() => {
            this.open();
          });
        } else {
          this.open();
        }
      } else {
        this.close();
      }
    }
  },

  methods: {
    open(options) {
      if (!this.rendered) {
        this.rendered = true;
      }

      const props = Object(merge["a" /* default */])({}, this.$props || this, options);

      if (this._closeTimer) {
        clearTimeout(this._closeTimer);
        this._closeTimer = null;
      }
      clearTimeout(this._openTimer);

      const openDelay = Number(props.openDelay);
      if (openDelay > 0) {
        this._openTimer = setTimeout(() => {
          this._openTimer = null;
          this.doOpen(props);
        }, openDelay);
      } else {
        this.doOpen(props);
      }
    },

    doOpen(props) {
      if (this.$isServer) return;
      if (this.willOpen && !this.willOpen()) return;
      if (this.opened) return;

      this._opening = true;

      const dom = this.$el;

      const modal = props.modal;

      const zIndex = props.zIndex;
      if (zIndex) {
        popup_manager.zIndex = zIndex;
      }

      if (modal) {
        if (this._closing) {
          popup_manager.closeModal(this._popupId);
          this._closing = false;
        }
        popup_manager.openModal(this._popupId, popup_manager.nextZIndex(), this.modalAppendToBody ? undefined : dom, props.modalClass, props.modalFade);
        if (props.lockScroll) {
          this.withoutHiddenClass = !Object(utils_dom["c" /* hasClass */])(document.body, 'el-popup-parent--hidden');
          if (this.withoutHiddenClass) {
            this.bodyPaddingRight = document.body.style.paddingRight;
            this.computedBodyPaddingRight = parseInt(Object(utils_dom["b" /* getStyle */])(document.body, 'paddingRight'), 10);
          }
          popup_scrollBarWidth = scrollbar_width();
          let bodyHasOverflow = document.documentElement.clientHeight < document.body.scrollHeight;
          let bodyOverflowY = Object(utils_dom["b" /* getStyle */])(document.body, 'overflowY');
          if (popup_scrollBarWidth > 0 && (bodyHasOverflow || bodyOverflowY === 'scroll') && this.withoutHiddenClass) {
            document.body.style.paddingRight = this.computedBodyPaddingRight + popup_scrollBarWidth + 'px';
          }
          Object(utils_dom["a" /* addClass */])(document.body, 'el-popup-parent--hidden');
        }
      }

      if (getComputedStyle(dom).position === 'static') {
        dom.style.position = 'absolute';
      }

      dom.style.zIndex = popup_manager.nextZIndex();
      this.opened = true;

      this.onOpen && this.onOpen();

      this.doAfterOpen();
    },

    doAfterOpen() {
      this._opening = false;
    },

    close() {
      if (this.willClose && !this.willClose()) return;

      if (this._openTimer !== null) {
        clearTimeout(this._openTimer);
        this._openTimer = null;
      }
      clearTimeout(this._closeTimer);

      const closeDelay = Number(this.closeDelay);

      if (closeDelay > 0) {
        this._closeTimer = setTimeout(() => {
          this._closeTimer = null;
          this.doClose();
        }, closeDelay);
      } else {
        this.doClose();
      }
    },

    doClose() {
      this._closing = true;

      this.onClose && this.onClose();

      if (this.lockScroll) {
        setTimeout(this.restoreBodyStyle, 200);
      }

      this.opened = false;

      this.doAfterClose();
    },

    doAfterClose() {
      popup_manager.closeModal(this._popupId);
      this._closing = false;
    },

    restoreBodyStyle() {
      if (this.modal && this.withoutHiddenClass) {
        document.body.style.paddingRight = this.bodyPaddingRight;
        Object(utils_dom["g" /* removeClass */])(document.body, 'el-popup-parent--hidden');
      }
      this.withoutHiddenClass = true;
    }
  }
});



// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./node_modules/element-ui/packages/image/src/image-viewer.vue?vue&type=script&lang=js



const Mode = {
  CONTAIN: {
    name: 'contain',
    icon: 'el-icon-full-screen'
  },
  ORIGINAL: {
    name: 'original',
    icon: 'el-icon-c-scale-to-original'
  }
};
const mousewheelEventName = Object(util["a" /* isFirefox */])() ? 'DOMMouseScroll' : 'mousewheel';
/* harmony default export */ var image_viewervue_type_script_lang_js = ({
  name: 'elImageViewer',
  props: {
    urlList: {
      type: Array,
      default: () => []
    },
    zIndex: {
      type: Number,
      default: 2000
    },
    onSwitch: {
      type: Function,
      default: () => {}
    },
    onClose: {
      type: Function,
      default: () => {}
    },
    initialIndex: {
      type: Number,
      default: 0
    },
    appendToBody: {
      type: Boolean,
      default: true
    },
    maskClosable: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      index: this.initialIndex,
      isShow: false,
      infinite: true,
      loading: false,
      mode: Mode.CONTAIN,
      transform: {
        scale: 1,
        deg: 0,
        offsetX: 0,
        offsetY: 0,
        enableTransition: false
      }
    };
  },
  computed: {
    isSingle() {
      return this.urlList.length <= 1;
    },
    isFirst() {
      return this.index === 0;
    },
    isLast() {
      return this.index === this.urlList.length - 1;
    },
    currentImg() {
      return this.urlList[this.index];
    },
    imgStyle() {
      const {
        scale,
        deg,
        offsetX,
        offsetY,
        enableTransition
      } = this.transform;
      const style = {
        transform: `scale(${scale}) rotate(${deg}deg)`,
        transition: enableTransition ? 'transform .3s' : '',
        'margin-left': `${offsetX}px`,
        'margin-top': `${offsetY}px`
      };
      if (this.mode === Mode.CONTAIN) {
        style.maxWidth = style.maxHeight = '100%';
      }
      return style;
    },
    viewerZIndex() {
      const nextZIndex = popup_manager.nextZIndex();
      return this.zIndex > nextZIndex ? this.zIndex : nextZIndex;
    }
  },
  watch: {
    index: {
      handler: function (val) {
        this.reset();
        this.onSwitch(val);
      }
    },
    currentImg(val) {
      this.$nextTick(_ => {
        const $img = this.$refs.img[0];
        if (!$img.complete) {
          this.loading = true;
        }
      });
    }
  },
  methods: {
    hide() {
      this.deviceSupportUninstall();
      this.onClose();
    },
    deviceSupportInstall() {
      this._keyDownHandler = e => {
        e.stopPropagation();
        const keyCode = e.keyCode;
        switch (keyCode) {
          // ESC
          case 27:
            this.hide();
            break;
          // SPACE
          case 32:
            this.toggleMode();
            break;
          // LEFT_ARROW
          case 37:
            this.prev();
            break;
          // UP_ARROW
          case 38:
            this.handleActions('zoomIn');
            break;
          // RIGHT_ARROW
          case 39:
            this.next();
            break;
          // DOWN_ARROW
          case 40:
            this.handleActions('zoomOut');
            break;
        }
      };
      this._mouseWheelHandler = Object(util["d" /* rafThrottle */])(e => {
        const delta = e.wheelDelta ? e.wheelDelta : -e.detail;
        if (delta > 0) {
          this.handleActions('zoomIn', {
            zoomRate: 0.015,
            enableTransition: false
          });
        } else {
          this.handleActions('zoomOut', {
            zoomRate: 0.015,
            enableTransition: false
          });
        }
      });
      Object(utils_dom["e" /* on */])(document, 'keydown', this._keyDownHandler);
      Object(utils_dom["e" /* on */])(document, mousewheelEventName, this._mouseWheelHandler);
    },
    deviceSupportUninstall() {
      Object(utils_dom["d" /* off */])(document, 'keydown', this._keyDownHandler);
      Object(utils_dom["d" /* off */])(document, mousewheelEventName, this._mouseWheelHandler);
      this._keyDownHandler = null;
      this._mouseWheelHandler = null;
    },
    handleImgLoad(e) {
      this.loading = false;
    },
    handleImgError(e) {
      this.loading = false;
      e.target.alt = '加载失败';
    },
    handleMouseDown(e) {
      if (this.loading || e.button !== 0) return;
      const {
        offsetX,
        offsetY
      } = this.transform;
      const startX = e.pageX;
      const startY = e.pageY;
      this._dragHandler = Object(util["d" /* rafThrottle */])(ev => {
        this.transform.offsetX = offsetX + ev.pageX - startX;
        this.transform.offsetY = offsetY + ev.pageY - startY;
      });
      Object(utils_dom["e" /* on */])(document, 'mousemove', this._dragHandler);
      Object(utils_dom["e" /* on */])(document, 'mouseup', ev => {
        Object(utils_dom["d" /* off */])(document, 'mousemove', this._dragHandler);
      });
      e.preventDefault();
    },
    handleMaskClick() {
      if (this.maskClosable) {
        this.hide();
      }
    },
    reset() {
      this.transform = {
        scale: 1,
        deg: 0,
        offsetX: 0,
        offsetY: 0,
        enableTransition: false
      };
    },
    toggleMode() {
      if (this.loading) return;
      const modeNames = Object.keys(Mode);
      const modeValues = Object.values(Mode);
      const index = modeValues.indexOf(this.mode);
      const nextIndex = (index + 1) % modeNames.length;
      this.mode = Mode[modeNames[nextIndex]];
      this.reset();
    },
    prev() {
      if (this.isFirst && !this.infinite) return;
      const len = this.urlList.length;
      this.index = (this.index - 1 + len) % len;
    },
    next() {
      if (this.isLast && !this.infinite) return;
      const len = this.urlList.length;
      this.index = (this.index + 1) % len;
    },
    handleActions(action, options = {}) {
      if (this.loading) return;
      const {
        zoomRate,
        rotateDeg,
        enableTransition
      } = {
        zoomRate: 0.2,
        rotateDeg: 90,
        enableTransition: true,
        ...options
      };
      const {
        transform
      } = this;
      switch (action) {
        case 'zoomOut':
          if (transform.scale > 0.2) {
            transform.scale = parseFloat((transform.scale - zoomRate).toFixed(3));
          }
          break;
        case 'zoomIn':
          transform.scale = parseFloat((transform.scale + zoomRate).toFixed(3));
          break;
        case 'clocelise':
          transform.deg += rotateDeg;
          break;
        case 'anticlocelise':
          transform.deg -= rotateDeg;
          break;
      }
      transform.enableTransition = enableTransition;
    }
  },
  mounted() {
    this.deviceSupportInstall();
    if (this.appendToBody) {
      document.body.appendChild(this.$el);
    }
    // add tabindex then wrapper can be focusable via Javascript
    // focus wrapper so arrow key can't cause inner scroll behavior underneath
    this.$refs['el-image-viewer__wrapper'].focus();
  },
  destroyed() {
    // if appendToBody is true, remove DOM node after destroy
    if (this.appendToBody && this.$el && this.$el.parentNode) {
      this.$el.parentNode.removeChild(this.$el);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/element-ui/packages/image/src/image-viewer.vue?vue&type=script&lang=js
 /* harmony default export */ var src_image_viewervue_type_script_lang_js = (image_viewervue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./node_modules/element-ui/packages/image/src/image-viewer.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_image_viewervue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  null,
  null,
  "d848a8d6"
  
)

/* harmony default export */ var image_viewer = __webpack_exports__["a"] = (component.exports);

/***/ }),

/***/ 178:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/product-builder/stepMixin.vue?vue&type=template&id=bbcc9c86&scoped=true
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('div', {}, []);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./components/product-builder/stepMixin.vue?vue&type=template&id=bbcc9c86&scoped=true

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/product-builder/stepMixin.vue?vue&type=script&lang=js
/* 仅用于本目录3个step表单组件的共享逻辑 */
/* harmony default export */ var stepMixinvue_type_script_lang_js = ({
  name: 'StepMixin',
  components: {},
  props: {
    loading: {
      type: Boolean,
      default: false
    },
    priceData: {
      type: Object,
      default: function () {
        return {
          priceList: [],
          attributeList: {},
          additionList: {}
        };
      }
    },
    detail: {
      type: Object,
      default: function () {
        return {
          info: {
            images: []
          }
        };
      }
    },
    preData: {
      type: Object,
      default: function () {
        return {};
      }
    }
  },
  data() {
    return {};
  },
  computed: {},
  watch: {
    form: {
      deep: true,
      handler: function () {
        if (this.loaded) {
          this.$_emitFormData();
        }
      }
    }
  },
  mounted() {},
  methods: {
    // 将this.form 自动传递给父组件
    $_emitFormData() {
      this.$emit('update-form', JSON.parse(JSON.stringify(this.form)));
    }
  }
});
// CONCATENATED MODULE: ./components/product-builder/stepMixin.vue?vue&type=script&lang=js
 /* harmony default export */ var product_builder_stepMixinvue_type_script_lang_js = (stepMixinvue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./components/product-builder/stepMixin.vue



function injectStyles (context) {
  
  
}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  product_builder_stepMixinvue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "bbcc9c86",
  "c0513676"
  
)

/* harmony default export */ var stepMixin = __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ 224:
/***/ (function(module, exports) {

// Exports
module.exports = {

};


/***/ }),

/***/ 253:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_step_1_vue_vue_type_style_index_0_id_7f99eb3e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(224);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_step_1_vue_vue_type_style_index_0_id_7f99eb3e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_step_1_vue_vue_type_style_index_0_id_7f99eb3e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_step_1_vue_vue_type_style_index_0_id_7f99eb3e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_step_1_vue_vue_type_style_index_0_id_7f99eb3e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));


/***/ }),

/***/ 320:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/product-builder/step-1.vue?vue&type=template&id=7f99eb3e&scoped=true
var render = function render() {
  var _vm$detail$main, _vm$detail$main2;
  var _vm = this,
    _c = _vm._self._c;
  return _c('el-card', {
    staticClass: "step-card"
  }, [_c('div', {
    staticClass: "flex between",
    attrs: {
      "slot": "header"
    },
    slot: "header"
  }, [_c('div', {
    staticClass: "step-card-title"
  }, [_vm._v("Step1 Choose model")]), _vm._v(" "), _c('div', [_vm._v(">>")])]), _vm._v(" "), _c('div', {
    directives: [{
      name: "loading",
      rawName: "v-loading",
      value: _vm.loading,
      expression: "loading"
    }]
  }, [_c('div', {
    staticClass: "card-sub-title"
  }, [_vm._v(_vm._s(_vm.detail.product_name))]), _vm._v(" "), _vm.isBigImageShow ? _c('image-viewer', {
    attrs: {
      "on-close": _vm.closeBigImage,
      "initial-index": 0,
      "url-list": (_vm$detail$main = _vm.detail.main) === null || _vm$detail$main === void 0 ? void 0 : _vm$detail$main.images
    }
  }) : _vm._e(), _vm._v(" "), _c('div', {
    staticClass: "img-wrap flex center",
    on: {
      "click": _vm.openBigImage
    }
  }, [_c('img', {
    attrs: {
      "src": (_vm$detail$main2 = _vm.detail.main) === null || _vm$detail$main2 === void 0 ? void 0 : _vm$detail$main2.image
    }
  })]), _vm._v(" "), _c('div', {
    staticClass: "divider"
  }), _vm._v(" "), _c('el-form', {
    ref: "form",
    attrs: {
      "model": _vm.form,
      "rules": _vm.rules,
      "label-width": "90px"
    }
  }, [_c('el-form-item', {
    attrs: {
      "label": "Time frame",
      "prop": "cycle"
    }
  }, [_c('el-radio-group', {
    model: {
      value: _vm.form.cycle,
      callback: function ($$v) {
        _vm.$set(_vm.form, "cycle", $$v);
      },
      expression: "form.cycle"
    }
  }, _vm._l(_vm.priceData.priceList, function (item) {
    return _c('el-radio', {
      key: item.cycle_id,
      attrs: {
        "label": item.cycle_id
      }
    }, [_vm._v(_vm._s(item.name) + "\n          ")]);
  }), 1)], 1), _vm._v(" "), _c('div', {
    staticClass: "flex"
  }, [_c('el-form-item', {
    attrs: {
      "label-width": "120px",
      "label": "Decorated in",
      "prop": "decorated"
    }
  }, [_c('el-select', {
    attrs: {
      "size": "small"
    },
    model: {
      value: _vm.form.decorated,
      callback: function ($$v) {
        _vm.$set(_vm.form, "decorated", $$v);
      },
      expression: "form.decorated"
    }
  }, [_c('el-option', {
    attrs: {
      "label": 'Local',
      "value": 'Local'
    }
  }), _vm._v(" "), _c('el-option', {
    attrs: {
      "label": 'China',
      "value": 'China'
    }
  })], 1)], 1), _vm._v(" "), _c('el-form-item', {
    attrs: {
      "label-width": "120px",
      "prop": "supplyChain",
      "label": "Supply chain",
      "size": "small"
    }
  }, [_c('el-select', {
    model: {
      value: _vm.form.supplyChain,
      callback: function ($$v) {
        _vm.$set(_vm.form, "supplyChain", $$v);
      },
      expression: "form.supplyChain"
    }
  }, [_c('el-option', {
    attrs: {
      "label": 'AU Stock',
      "value": 'AU Stock'
    }
  }), _vm._v(" "), _c('el-option', {
    attrs: {
      "label": 'Air Freight',
      "value": 'Air Freight'
    }
  }), _vm._v(" "), _c('el-option', {
    attrs: {
      "label": 'Sea Freight',
      "value": 'Sea Freight'
    }
  })], 1)], 1)], 1), _vm._v(" "), _c('el-form-item', {
    attrs: {
      "label": "Model",
      "prop": "model"
    }
  }, [_c('div', {
    staticClass: "custom-checkbox-wrap"
  }, _vm._l(_vm.computedBasePriceData, function (item) {
    return _c('div', {
      key: item.id,
      staticClass: "custom-checkbox",
      class: {
        active: _vm.form.model === item.id,
        disable: _vm.form.model && _vm.form.model !== item.id
      },
      on: {
        "click": function ($event) {
          return _vm.modelClick(item);
        }
      }
    }, [_vm._v("\n            " + _vm._s(item.point) + "\n          ")]);
  }), 0), _vm._v(" "), _c('el-radio-group', {
    staticStyle: {
      "display": "none"
    },
    attrs: {
      "size": "small"
    },
    model: {
      value: _vm.form.model,
      callback: function ($$v) {
        _vm.$set(_vm.form, "model", $$v);
      },
      expression: "form.model"
    }
  }, _vm._l(_vm.computedBasePriceData, function (item) {
    return _c('el-radio-button', {
      key: item.id,
      attrs: {
        "label": item.id
      }
    }, [_vm._v(_vm._s(item.point))]);
  }), 1)], 1), _vm._v(" "), _c('el-form-item', {
    attrs: {
      "label": "Colour",
      "prop": "color"
    }
  }, [_c('div', {
    staticClass: "custom-checkbox-wrap"
  }, [_c('div', {
    staticClass: "custom-checkbox",
    class: {
      active: _vm.form.color.includes(0)
    },
    on: {
      "click": function ($event) {
        return _vm.colorClick({
          id: 0
        });
      }
    }
  }, [_vm._v("\n            Unspecified\n          ")]), _vm._v(" "), _vm._l(_vm.detail.color, function (item) {
    return _c('div', {
      key: item.id,
      staticClass: "custom-checkbox flex",
      class: {
        active: _vm.form.color.includes(item.id)
      },
      on: {
        "click": function ($event) {
          return _vm.colorClick(item);
        }
      }
    }, [_c('div', {
      staticClass: "color-selector-label flex center"
    }, [_c('img', {
      attrs: {
        "src": item.img
      }
    })]), _vm._v(" "), _c('div', [_vm._v("\n              " + _vm._s(item.name) + "\n            ")])]);
  }), _vm._v(" "), _c('div', {
    staticClass: "custom-checkbox",
    class: {
      active: _vm.form.color.includes(999)
    },
    on: {
      "click": function ($event) {
        return _vm.colorClick({
          id: 999
        });
      }
    }
  }, [_vm._v("\n            + PMS\n          ")])], 2), _vm._v(" "), _c('el-checkbox-group', {
    staticStyle: {
      "display": "none"
    },
    attrs: {
      "size": "small"
    },
    model: {
      value: _vm.form.color,
      callback: function ($$v) {
        _vm.$set(_vm.form, "color", $$v);
      },
      expression: "form.color"
    }
  }, [_c('el-checkbox-button', {
    attrs: {
      "label": 0
    }
  }, [_vm._v("Unspecified")]), _vm._v(" "), _vm._l(_vm.detail.color, function (item) {
    return _c('el-checkbox-button', {
      key: item.id,
      attrs: {
        "label": item.id
      }
    }, [_vm._v("\n            " + _vm._s(item.name) + "\n          ")]);
  }), _vm._v(" "), _c('el-checkbox-button', {
    attrs: {
      "label": 999
    }
  }, [_vm._v("+ PMS")])], 2)], 1), _vm._v(" "), _c('el-form-item', {
    attrs: {
      "prop": "colorPmsText"
    }
  }, [_c('el-input', {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.form.color.includes(999),
      expression: "form.color.includes(999)"
    }],
    attrs: {
      "type": "textarea",
      "rows": 5,
      "placeholder": "Product color comments. Multi color instructions, specific color matchong (CMYK, RGB, PMS) etc.."
    },
    model: {
      value: _vm.form.colorPmsText,
      callback: function ($$v) {
        _vm.$set(_vm.form, "colorPmsText", $$v);
      },
      expression: "form.colorPmsText"
    }
  })], 1), _vm._v(" "), _c('div', {
    staticClass: "qty-title"
  }, [_vm._v("\n        QTY ( MOQ:" + _vm._s(_vm.computedMinBuyNumber) + " )\n      ")]), _vm._v(" "), _c('div', {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.form.color.length > 0,
      expression: "form.color.length > 0"
    }],
    staticClass: "divider"
  }), _vm._v(" "), _c('div', {
    staticClass: "flex wrap"
  }, _vm._l(_vm.form.autoForm, function (formItem, index) {
    return _c('el-form-item', {
      key: index,
      staticClass: "flex-auto color-form-item",
      attrs: {
        "label-width": "140",
        "prop": `autoForm.${index}.value`,
        "rules": {
          required: true,
          trigger: 'change',
          type: 'number',
          message: 'the number should not less then MOQ',
          min: _vm.computedMinBuyNumber
        }
      }
    }, [_c('div', {
      staticClass: "flex end"
    }, [_c('div', {
      staticClass: "flex-auto flex end"
    }, [formItem.img ? _c('img', {
      staticClass: "auto-form-color-image",
      attrs: {
        "src": formItem.img,
        "alt": ""
      }
    }) : _vm._e(), _vm._v(" "), _c('div', {
      staticClass: "auto-form-label form-item-label"
    }, [_vm._v("\n                " + _vm._s(formItem.label) + "\n              ")])]), _vm._v(" "), _c('el-input', {
      staticStyle: {
        "width": "80px"
      },
      attrs: {
        "min": _vm.computedMinBuyNumber,
        "type": "number"
      },
      on: {
        "change": value => {
          if (value >= _vm.computedMinBuyNumber) _vm.$refs.form.clearValidate(`autoForm.${index}.value`);
        }
      },
      model: {
        value: formItem.value,
        callback: function ($$v) {
          _vm.$set(formItem, "value", _vm._n($$v));
        },
        expression: "formItem.value"
      }
    })], 1)]);
  }), 1)], 1)], 1)]);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./components/product-builder/step-1.vue?vue&type=template&id=7f99eb3e&scoped=true

// EXTERNAL MODULE: ./node_modules/element-ui/packages/image/src/image-viewer.vue + 7 modules
var image_viewer = __webpack_require__(144);

// EXTERNAL MODULE: ./components/product-builder/stepMixin.vue + 4 modules
var stepMixin = __webpack_require__(178);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/product-builder/step-1.vue?vue&type=script&lang=js


/* harmony default export */ var step_1vue_type_script_lang_js = ({
  name: 'Step1',
  components: {
    'image-viewer': image_viewer["a" /* default */]
  },
  mixins: [stepMixin["default"]],
  props: {
    // 步骤2的表单. 因其打印价格表单会反向影响本组件的最小起购数量, 故需从父组件获取. 只用来计算, 本组件不更改这个数据.
    form2: {
      type: Object,
      default: function () {
        return {};
      }
    }
  },
  data() {
    // this.detail 记录在mixin里；
    return {
      // 查看大图
      isBigImageShow: false,
      rules: {
        decorated: [{
          required: true,
          message: '请选择',
          trigger: 'change'
        }],
        supplyChain: [{
          required: true,
          message: '请选择',
          trigger: 'change'
        }],
        model: [{
          required: true,
          trigger: 'change',
          type: 'number',
          min: 1,
          message: 'Please select model'
        }],
        color: [{
          required: true,
          validator: (rules, value, cb) => {
            value.length > 0 ? cb() : cb(new Error('Please select at least one color'));
          },
          trigger: 'change'
        }],
        colorPmsText: [{
          trigger: 'blur',
          validator: this.checkColorPmsText
        }],
        cycle: [{
          required: true,
          message: 'Please select time frame',
          trigger: 'change'
        }]
      },
      form: {
        // 必须要有的初始值, 否则必定会报错Cannot read properties of undefined
        color: [],
        model: 0,
        colorPmsText: ''
      },
      // 标志符，用于控制监听是否启用
      loaded: false
    };
  },
  computed: {
    // 商品 当前选中周期的 基础价格和打印价格数据
    computedPriceData() {
      return this.priceData.priceList.filter(item => item.cycle_id === this.form.cycle);
    },
    // 当前选中周期下, 商品对应的各型号基础价格数据. 可以推断当前周期有几个型号
    computedBasePriceData() {
      const model = this.computedPriceData.length ? this.computedPriceData[0] : {};
      // 属性‘1’里面是基础价格数据, 属性 ’2‘是打印价格数据
      if (model['1']) {
        return model['1'].slice();
      } else {
        return [];
      }
    },
    // 当前型号位于基础价格数据的index, 用于取出型号对应的基础数据
    computedBasePriceIndex() {
      return this.computedBasePriceData.findIndex(item => item.id === this.form.model);
    },
    // 该商品周期的最小起订量. attributeList的属性名(website_qty1, website_qty2)排序, 然后取属性值
    computedMinBuyNumber() {
      // 算基础价格的第一个有效值
      const target = this.computedBasePriceData.length ? this.computedBasePriceData[this.computedBasePriceIndex > 0 ? this.computedBasePriceIndex : 0] : {};
      const candidate = [target.website_qty1, target.website_qty2, target.website_qty3, target.website_qty4, target.website_qty5, target.website_qty6, target.website_qty7, target.website_qty8];
      if (!candidate.some(item => item !== undefined)) return 1;
      // 算出商品基础价格的第一个有效值
      let index = this.findEffectIndex(candidate);
      // 算出打印服务和附加服务的第一个有效价格所处位置.
      Object.entries(this.form2).forEach(current => {
        if (/\d+/.test(current[0])) {
          const decoration = current[1].decorationList.filter(i => i.id === current[1].printService);
          if (decoration.length && current[1].enable) {
            // 打印价格的基础阶梯价格
            const index2 = this.findEffectIndex([decoration[0].website_qty1, decoration[0].website_qty2, decoration[0].website_qty3, decoration[0].website_qty4, decoration[0].website_qty5, decoration[0].website_qty6, decoration[0].website_qty7, decoration[0].website_qty8]);
            // 附加价格
            const index3 = this.findEffectIndex([decoration[0].supplier_qty1, decoration[0].supplier_qty2, decoration[0].supplier_qty3, decoration[0].supplier_qty4, decoration[0].supplier_qty5, decoration[0].supplier_qty6, decoration[0].supplier_qty7, decoration[0].supplier_qty8]);
            // 让index记录最大值
            if (index2 > index) index = index2;
            if (index3 > index) index = index3;
          }
        } else {
          // 附加服务的价格
          const additions = this.priceData.additionList[current[0]].filter(item => current[1].includes(item.id));
          if (additions.length) {
            additions.forEach(target => {
              const index4 = this.findEffectIndex([target.website_qty1, target.website_qty2, target.website_qty3, target.website_qty4, target.website_qty5, target.website_qty6, target.website_qty7, target.website_qty8]);
              // 让index记录最大值
              if (index4 > index) index = index4;
            });
          }
        }
      });
      const temp = Object.entries(this.priceData.attributeList).sort((a, b) => a[0].localeCompare(b[0])).filter((item, i) => index === i);
      if (temp.length) {
        return temp[0][1];
      } else {
        return 1;
      }
    }
  },
  watch: {
    computedBasePriceData() {
      if (!this.loaded || !this.computedBasePriceData.length) return;
      // fixme 如果有从商品详情页带过来的型号选择数据, 要选中该值, 而不是默认的第一个值
      if (this.computedBasePriceData.filter(i => i.id === this.preData.model).length) {
        this.form.model = this.preData.model;
      } else {
        this.form.model = this.computedBasePriceData[0].id;
      }
    },
    'form.model': {
      immediate: true,
      handler: function () {
        if (!this.loaded) return;
        this.generateColorForm();
      }
    },
    'form.color': {
      immediate: true,
      handler: function () {
        if (!this.loaded) return;
        this.generateColorForm();
        this.$refs.form.clearValidate('colorPmsText');
      }
    },
    form2: {
      immediate: true,
      handler: function () {
        if (!this.loaded) return;
        this.generateColorForm();
      }
    }
  },
  mounted() {
    this.form = {
      supplyChain: 'AU Stock',
      decorated: 'Local',
      model: 0,
      // 型号的赋值在computedBasePriceData的监听里面, 因为其涉及到基础价格变更后的重新赋值.
      cycle: this.preData.cycle ? this.preData.cycle : this.priceData.priceList[0].cycle_id,
      color: [],
      colorPmsText: '',
      // 根据所选规格和颜色组合成的自动表单.需要在computedBasePriceData的watch里面生成
      autoForm: []
    };
    this.loaded = true;
  },
  methods: {
    checkForm() {
      return new Promise((resolve, reject) => {
        this.$refs.form.validate(valid => {
          if (valid) {
            resolve(JSON.parse(JSON.stringify(this.form)));
          } else {
            reject(new Error('validate step1 form error'));
          }
        });
      });
    },
    checkColorPmsText(rule, value, cb) {
      // fixme. 颜色的两个固定值的id还未确定
      if (!this.form.color.includes(999)) cb();
      if (this.form.colorPmsText.trim().length < 1) {
        cb(new Error('You must type color comment here if "+ PMS" is checked'));
      } else {
        cb();
      }
    },
    // 找出第一个有效价格的index. 非变异方法, 勿对参数进行赋值操作.
    // 价格留空和111不算到起购量, 为正常数值或者0或者999(POA)就可以算到起购量, 所以在此处将空手动重置为NaN
    findEffectIndex(array) {
      return array.map(item => item === '' ? Number.NaN : Number(item)).findIndex(item => !Number.isNaN(item) && item !== 111);
    },
    openBigImage() {
      this.isBigImageShow = true;
    },
    closeBigImage() {
      this.isBigImageShow = false;
    },
    generateColorForm() {
      if (!this.loaded || this.form.color.length < 1) {
        this.form.autoForm = [];
        return;
      }
      // 生成所选规格和颜色组合成的自动表单
      const targetModel = this.computedBasePriceData.filter(item => item.id === this.form.model);
      const oldForm = JSON.parse(JSON.stringify(this.form.autoForm));
      let color1 = [];
      if (targetModel.length) {
        color1 = this.detail.color.reduce((total, item) => {
          if (this.form.color.includes(item.id)) {
            const temp = {
              img: item.img || '',
              label: `${item.name}, ${targetModel[0].point}`,
              color: item.name,
              colorId: item.id,
              value: this.computedMinBuyNumber
            };
            const temp2 = oldForm.filter(item => item.label === temp.label);
            if (temp2.length && temp2[0].value >= this.computedMinBuyNumber) {
              // 如果原来有值且原值大于等于最小起购, 则沿用原值
              temp.value = temp2[0].value;
            }
            total.push(temp);
          }
          return total;
        }, []);
        if (this.form.color.includes(0)) {
          const temp = {
            img: '',
            label: `Unspecified, ${targetModel[0].point}`,
            color: 'Unspecified',
            colorId: -1,
            value: this.computedMinBuyNumber
          };
          const temp2 = oldForm.filter(item => {
            return item.label === temp.label;
          });
          if (temp2.length && temp2[0].value >= this.computedMinBuyNumber) {
            // 如果原来有值且原值大于等于最小起购, 则沿用原值
            temp.value = temp2[0].value;
          }
          color1.unshift(temp);
        }
        if (this.form.color.includes(999)) {
          const temp = {
            img: '',
            label: `+ PMS, ${targetModel[0].point}`,
            color: 'PMS',
            colorId: -1,
            value: this.computedMinBuyNumber
          };
          const temp2 = oldForm.filter(item => item.label === temp.label);
          if (temp2.length && temp2[0].value >= this.computedMinBuyNumber) {
            // 如果原来有值且原值大于等于最小起购, 则沿用原值
            temp.value = temp2[0].value;
          }
          color1.push(temp);
        }
      }
      this.$set(this.form, 'autoForm', color1);
    },
    modelClick(item) {
      if (this.form.model === item.id) {
        this.form.model = 0;
      } else {
        this.form.model = item.id;
      }
    },
    colorClick(item) {
      const index = this.form.color.indexOf(item.id);
      if (index !== -1) {
        this.form.color.splice(index, 1);
      } else {
        this.form.color.push(item.id);
      }
    }
  }
});
// CONCATENATED MODULE: ./components/product-builder/step-1.vue?vue&type=script&lang=js
 /* harmony default export */ var product_builder_step_1vue_type_script_lang_js = (step_1vue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./components/product-builder/step-1.vue



function injectStyles (context) {
  
  var style0 = __webpack_require__(253)
if (style0.__inject__) style0.__inject__(context)

}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  product_builder_step_1vue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "7f99eb3e",
  "46659b70"
  
)

/* harmony default export */ var step_1 = __webpack_exports__["default"] = (component.exports);

/***/ })

};;
//# sourceMappingURL=product-builder-step1.js.map